Treasury 26 endpoints

POST /v1/treasury/financial_accounts

Creates a new FinancialAccount. Each connected account can have up to three FinancialAccounts by default.

operationId: PostTreasuryFinancialAccounts

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
features object optional
card_issuing object optional
requested boolean required
deposit_insurance object optional
requested boolean required
inbound_transfers object optional
ach object optional
requested boolean required
outbound_payments object optional
ach object optional
requested boolean required
us_domestic_wire object optional
requested boolean required
intra_stripe_flows object optional
requested boolean required
outbound_transfers object optional
ach object optional
requested boolean required
us_domestic_wire object optional
requested boolean required
financial_addresses object optional
aba object optional
requested boolean required
metadata object optional
nickname object optional
supported_currencies array required
platform_restrictions object optional
inbound_flows string optional
outbound_flows string optional

Responses

default

Error response.

200

Successful response.

POST /v1/treasury/financial_accounts
GET /v1/treasury/financial_accounts/{financial_account}

Retrieves the details of a FinancialAccount.

operationId: GetTreasuryFinancialAccountsFinancialAccount

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

financial_account path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/financial_accounts/{financial_account}
POST /v1/treasury/financial_accounts/{financial_account}

Updates the details of a FinancialAccount.

operationId: PostTreasuryFinancialAccountsFinancialAccount

Parameters

Name In Required Type Description
financial_account path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
features object optional
card_issuing object optional
requested boolean required
deposit_insurance object optional
requested boolean required
inbound_transfers object optional
ach object optional
requested boolean required
outbound_payments object optional
ach object optional
requested boolean required
us_domestic_wire object optional
requested boolean required
intra_stripe_flows object optional
requested boolean required
outbound_transfers object optional
ach object optional
requested boolean required
us_domestic_wire object optional
requested boolean required
financial_addresses object optional
aba object optional
requested boolean required
metadata object optional
nickname object optional
forwarding_settings object optional
type string required
payment_method string optional
financial_account string optional
platform_restrictions object optional
inbound_flows string optional
outbound_flows string optional

Responses

default

Error response.

200

Successful response.

POST /v1/treasury/financial_accounts/{financial_account}
POST /v1/treasury/financial_accounts/{financial_account}/close

Closes a FinancialAccount. A FinancialAccount can only be closed if it has a zero balance, has no pending InboundTransfers, and has canceled all attached Issuing cards.

operationId: PostTreasuryFinancialAccountsFinancialAccountClose

Parameters

Name In Required Type Description
financial_account path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
forwarding_settings object optional
type string required
payment_method string optional
financial_account string optional

Responses

default

Error response.

200

Successful response.

POST /v1/treasury/financial_accounts/{financial_account}/close
GET /v1/treasury/financial_accounts/{financial_account}/features

Retrieves Features information associated with the FinancialAccount.

operationId: GetTreasuryFinancialAccountsFinancialAccountFeatures

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

financial_account path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/financial_accounts/{financial_account}/features
POST /v1/treasury/financial_accounts/{financial_account}/features

Updates the Features associated with a FinancialAccount.

operationId: PostTreasuryFinancialAccountsFinancialAccountFeatures

Parameters

Name In Required Type Description
financial_account path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
card_issuing object optional
requested boolean required
deposit_insurance object optional
requested boolean required
inbound_transfers object optional
ach object optional
requested boolean required
outbound_payments object optional
ach object optional
requested boolean required
us_domestic_wire object optional
requested boolean required
intra_stripe_flows object optional
requested boolean required
outbound_transfers object optional
ach object optional
requested boolean required
us_domestic_wire object optional
requested boolean required
financial_addresses object optional
aba object optional
requested boolean required

Responses

default

Error response.

200

Successful response.

POST /v1/treasury/financial_accounts/{financial_account}/features
GET /v1/treasury/inbound_transfers

Returns a list of InboundTransfers sent from the specified FinancialAccount.

operationId: GetTreasuryInboundTransfers

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

financial_account query required string

Returns objects associated with this FinancialAccount.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return InboundTransfers that have the given status: processing, succeeded, failed or canceled.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/inbound_transfers
POST /v1/treasury/inbound_transfers

Creates an InboundTransfer.

operationId: PostTreasuryInboundTransfers

Request Body

required
application/x-www-form-urlencoded
Property Type Required
amount integer required
expand array optional
currency string required
metadata object optional
description string optional
financial_account string required
statement_descriptor string optional
origin_payment_method string required

Responses

default

Error response.

200

Successful response.

POST /v1/treasury/inbound_transfers
GET /v1/treasury/inbound_transfers/{id}

Retrieves the details of an existing InboundTransfer.

operationId: GetTreasuryInboundTransfersId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/inbound_transfers/{id}
POST /v1/treasury/inbound_transfers/{inbound_transfer}/cancel

Cancels an InboundTransfer.

operationId: PostTreasuryInboundTransfersInboundTransferCancel

Parameters

Name In Required Type Description
inbound_transfer path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/treasury/inbound_transfers/{inbound_transfer}/cancel
GET /v1/treasury/outbound_payments

Returns a list of OutboundPayments sent from the specified FinancialAccount.

operationId: GetTreasuryOutboundPayments

Parameters

Name In Required Type Description
created query optional

Only return OutboundPayments that were created during the given date interval.

customer query optional string

Only return OutboundPayments sent to this customer.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

financial_account query required string

Returns objects associated with this FinancialAccount.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return OutboundPayments that have the given status: processing, failed, posted, returned, or canceled.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/outbound_payments
POST /v1/treasury/outbound_payments

Creates an OutboundPayment.

operationId: PostTreasuryOutboundPayments

Request Body

required
application/x-www-form-urlencoded
Property Type Required
amount integer required
expand array optional
currency string required
customer string optional
metadata object optional
description string optional
end_user_details object optional
present boolean required
ip_address string optional
financial_account string required
statement_descriptor string optional
destination_payment_method string optional
destination_payment_method_data object optional
type string required
metadata object optional
billing_details object optional
name object optional
email object optional
phone object optional
address object optional
us_bank_account object optional
account_type string optional
account_number string optional
routing_number string optional
account_holder_type string optional
financial_connections_account string optional
financial_account string optional
destination_payment_method_options object optional
us_bank_account object optional

Responses

default

Error response.

200

Successful response.

POST /v1/treasury/outbound_payments
GET /v1/treasury/outbound_payments/{id}

Retrieves the details of an existing OutboundPayment by passing the unique OutboundPayment ID from either the OutboundPayment creation request or OutboundPayment list.

operationId: GetTreasuryOutboundPaymentsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/outbound_payments/{id}
POST /v1/treasury/outbound_payments/{id}/cancel

Cancel an OutboundPayment.

operationId: PostTreasuryOutboundPaymentsIdCancel

Parameters

Name In Required Type Description
id path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/treasury/outbound_payments/{id}/cancel
GET /v1/treasury/outbound_transfers

Returns a list of OutboundTransfers sent from the specified FinancialAccount.

operationId: GetTreasuryOutboundTransfers

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

financial_account query required string

Returns objects associated with this FinancialAccount.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return OutboundTransfers that have the given status: processing, canceled, failed, posted, or returned.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/outbound_transfers
POST /v1/treasury/outbound_transfers

Creates an OutboundTransfer.

operationId: PostTreasuryOutboundTransfers

Request Body

required
application/x-www-form-urlencoded
Property Type Required
amount integer required
expand array optional
currency string required
metadata object optional
description string optional
financial_account string required
statement_descriptor string optional
destination_payment_method string optional
destination_payment_method_data object optional
type string required
financial_account string optional
destination_payment_method_options object optional
us_bank_account object optional

Responses

default

Error response.

200

Successful response.

POST /v1/treasury/outbound_transfers
GET /v1/treasury/outbound_transfers/{outbound_transfer}

Retrieves the details of an existing OutboundTransfer by passing the unique OutboundTransfer ID from either the OutboundTransfer creation request or OutboundTransfer list.

operationId: GetTreasuryOutboundTransfersOutboundTransfer

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

outbound_transfer path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/outbound_transfers/{outbound_transfer}
POST /v1/treasury/outbound_transfers/{outbound_transfer}/cancel

An OutboundTransfer can be canceled if the funds have not yet been paid out.

operationId: PostTreasuryOutboundTransfersOutboundTransferCancel

Parameters

Name In Required Type Description
outbound_transfer path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/treasury/outbound_transfers/{outbound_transfer}/cancel
GET /v1/treasury/received_credits

Returns a list of ReceivedCredits.

operationId: GetTreasuryReceivedCredits

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

financial_account query required string

The FinancialAccount that received the funds.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

linked_flows query optional object

Only return ReceivedCredits described by the flow.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return ReceivedCredits that have the given status: succeeded or failed.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/received_credits
GET /v1/treasury/received_credits/{id}

Retrieves the details of an existing ReceivedCredit by passing the unique ReceivedCredit ID from the ReceivedCredit list.

operationId: GetTreasuryReceivedCreditsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/received_credits/{id}
GET /v1/treasury/received_debits

Returns a list of ReceivedDebits.

operationId: GetTreasuryReceivedDebits

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

financial_account query required string

The FinancialAccount that funds were pulled from.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return ReceivedDebits that have the given status: succeeded or failed.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/received_debits
GET /v1/treasury/received_debits/{id}

Retrieves the details of an existing ReceivedDebit by passing the unique ReceivedDebit ID from the ReceivedDebit list

operationId: GetTreasuryReceivedDebitsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/received_debits/{id}
GET /v1/treasury/transaction_entries

Retrieves a list of TransactionEntry objects.

operationId: GetTreasuryTransactionEntries

Parameters

Name In Required Type Description
created query optional

Only return TransactionEntries that were created during the given date interval.

effective_at query optional
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

financial_account query required string

Returns objects associated with this FinancialAccount.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

order_by query optional string

The results are in reverse chronological order by created or effective_at. The default is created.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

transaction query optional string

Only return TransactionEntries associated with this Transaction.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/transaction_entries
GET /v1/treasury/transaction_entries/{id}

Retrieves a TransactionEntry object.

operationId: GetTreasuryTransactionEntriesId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/transaction_entries/{id}
GET /v1/treasury/transactions

Retrieves a list of Transaction objects.

operationId: GetTreasuryTransactions

Parameters

Name In Required Type Description
created query optional

Only return Transactions that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

financial_account query required string

Returns objects associated with this FinancialAccount.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

order_by query optional string

The results are in reverse chronological order by created or posted_at. The default is created.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return Transactions that have the given status: open, posted, or void.

status_transitions query optional object

A filter for the status_transitions.posted_at timestamp. When using this filter, status=posted and order_by=posted_at must also be specified.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/transactions
GET /v1/treasury/transactions/{id}

Retrieves the details of an existing Transaction.

operationId: GetTreasuryTransactionsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/treasury/transactions/{id}

Webhookendpoints 5 endpoints

GET /v1/webhook_endpoints

Returns a list of your webhook endpoints.

operationId: GetWebhookEndpoints

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/webhook_endpoints
POST /v1/webhook_endpoints

A webhook endpoint must have a url and a list of enabled_events. You may optionally specify the Boolean connect parameter. If set to true, then a Connect webhook endpoint that notifies the specified url about events from all connected accounts is created; otherwise an account webhook endpoint that notifies the specified url only about events from your account is created. You can also create webhook endpoints in the webhooks settings section of the Dashboard.

operationId: PostWebhookEndpoints

Request Body

required
application/x-www-form-urlencoded
Property Type Required
url string required
expand array optional
connect boolean optional
metadata object optional
api_version string optional
description object optional
enabled_events array required

Responses

default

Error response.

200

Successful response.

POST /v1/webhook_endpoints
DELETE /v1/webhook_endpoints/{webhook_endpoint}

You can also delete webhook endpoints via the webhook endpoint management page of the Stripe dashboard.

operationId: DeleteWebhookEndpointsWebhookEndpoint

Parameters

Name In Required Type Description
webhook_endpoint path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/webhook_endpoints/{webhook_endpoint}
GET /v1/webhook_endpoints/{webhook_endpoint}

Retrieves the webhook endpoint with the given ID.

operationId: GetWebhookEndpointsWebhookEndpoint

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

webhook_endpoint path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/webhook_endpoints/{webhook_endpoint}
POST /v1/webhook_endpoints/{webhook_endpoint}

Updates the webhook endpoint. You may edit the url, the list of enabled_events, and the status of your endpoint.

operationId: PostWebhookEndpointsWebhookEndpoint

Parameters

Name In Required Type Description
webhook_endpoint path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
url string optional
expand array optional
disabled boolean optional
metadata object optional
description object optional
enabled_events array optional

Responses

default

Error response.

200

Successful response.

POST /v1/webhook_endpoints/{webhook_endpoint}